Loading...
Searching...
No Matches
gx_engine::MidiController Class Reference

`#include <gx_parameter.h>`

## Public Member Functions

| MidiController (Parameter &p, float l, float u, bool t=false, int tt=0)
float | lower () const
float | upper () const
bool | is_toggle () const
int | toggle_behaviour () const
bool | hasParameter (const Parameter &p) const
Parameter & | getParameter () const
bool | set_midi (int n, int last_value, int *value_set, bool update)
bool | set_bpm (int n, int last_value)
bool | set_trans (int n, int last_value)
void | set (float v, float high)
void | trigger_changed ()
void | writeJSON (gx_system::JsonWriter &jw) const

## Static Public Member Functions

static MidiController * | readJSON (gx_system::JsonParser &jp, ParamMap &param)

## Private Attributes

Parameter * | param
float | _lower
float | _upper
bool | toggle
int | _toggle_behaviour

## Detailed Description

Definition at line 706 of file gx_parameter.h.

## Constructor & Destructor Documentation

## MidiController()

gx_engine::MidiController::MidiController | ( | Parameter & | p,
|  | float | l,
|  | float | u,
|  | bool | t = false,
|  | int | tt = 0 )

inline

Definition at line 714 of file gx_parameter.h.

Referenced by readJSON().

## Member Function Documentation

## getParameter()

Parameter & gx_engine::MidiController::getParameter | ( |  | ) | const

inline

Definition at line 721 of file gx_parameter.h.

## hasParameter()

bool gx_engine::MidiController::hasParameter | ( | const Parameter & | p | ) | const

inline

Definition at line 720 of file gx_parameter.h.

## is_toggle()

bool gx_engine::MidiController::is_toggle | ( |  | ) | const

inline

Definition at line 718 of file gx_parameter.h.

## lower()

float gx_engine::MidiController::lower | ( |  | ) | const

inline

Definition at line 716 of file gx_parameter.h.

## readJSON()

MidiController * gx_engine::MidiController::readJSON | ( | gx_system::JsonParser & | jp,
|  | ParamMap & | param )

static

## set()

void gx_engine::MidiController::set | ( | float | v,
|  | float | high )

inline

Definition at line 726 of file gx_parameter.h.

## set_bpm()

bool gx_engine::MidiController::set_bpm | ( | int | n,
|  | int | last_value )

## set_midi()

bool gx_engine::MidiController::set_midi | ( | int | n,
|  | int | last_value,
|  | int * | value_set,
|  | bool | update )

## set_trans()

bool gx_engine::MidiController::set_trans | ( | int | n,
|  | int | last_value )

## toggle_behaviour()

int gx_engine::MidiController::toggle_behaviour | ( |  | ) | const

inline

Definition at line 719 of file gx_parameter.h.

## trigger_changed()

void gx_engine::MidiController::trigger_changed | ( |  | ) |

inline

Definition at line 727 of file gx_parameter.h.

## upper()

float gx_engine::MidiController::upper | ( |  | ) | const

inline

Definition at line 717 of file gx_parameter.h.

## writeJSON()

void gx_engine::MidiController::writeJSON | ( | gx_system::JsonWriter & | jw | ) | const

## Member Data Documentation

## _lower

float gx_engine::MidiController::_lower

private

Definition at line 709 of file gx_parameter.h.

Referenced by lower(), MidiController(), and set().

## _toggle_behaviour

int gx_engine::MidiController::_toggle_behaviour

private

Definition at line 711 of file gx_parameter.h.

Referenced by MidiController(), and toggle_behaviour().

## _upper

float gx_engine::MidiController::_upper

private

Definition at line 709 of file gx_parameter.h.

Referenced by MidiController(), set(), and upper().

## param

Parameter* gx_engine::MidiController::param

private

Definition at line 708 of file gx_parameter.h.

Referenced by getParameter(), hasParameter(), MidiController(), readJSON(), set(), and trigger_changed().

## toggle

bool gx_engine::MidiController::toggle

private

Definition at line 710 of file gx_parameter.h.

Referenced by is_toggle(), and MidiController().

The documentation for this class was generated from the following file:

- src/headers/gx_parameter.h